Subject: Re: emacs silently ignores buffer file encoding?

From: Chong Yidong <[email-masked]>
Date: Sun, 15 Mar 2009 12:12:57 -0400

> (1) Start emacs -Q
> (2) Visit "/tmp/fff"
> (3) Insert the following chars: "θϑΘ"
> (4) Set the buffer file encoding to latin1 with: C-x C-m f latin-1 RET
> (5) Save the buffer: C-x C-s
>
> For me, "/tmp/fff" is saved sucessfully, with no error or prompt, using
> an encoding of utf-8 -- despite my having explicitly requested latin-1.

I think this bug may have been fixed.  ISTR seeing the same result when
I tested with your recipe a few weeks ago.  With latest CVS, however, I
get a "Select coding system" prompt.  Can you confirm?